ICEcube is a Python library intended to help organize SAR images and annotations for supervised machine learning applications. The library generates multidimensional SAR image and labeled data arrays.

The datacubes stack SAR time-series images in range and azimuth and can preserve the geospatial content, intensity, and complex SAR signal from the <a href='http://www.iceye.com'>ICEYE</a> SAR images. You can use the datacubes with ICEYE Ground Range Detected (GRD) geotifs and ICEYE Single Look Complex (SLC) .hdf5 product formats. 


![alt text](https://github.com/iceye-ltd/icecube/blob/main/assets/icecube.png)

>This work is sponsored by <a href='https://philab.phi.esa.int/'>ESA Φ-Lab</a> as part of the AI4SAR initiative.

## Getting Started
You need **Python 3.8 or later** to use the ICEcube library.

The installation options depend on whether you want to use the library in your Python scripts or you want to contribute to it. For more information, see [Installation](https://iceye-ltd.github.io/icecube/installation.html).

<br>

## ICEcube Examples
To test the Jupyter notebooks and for information on how to use the library, see the  [ICEcube Documentation](https://iceye-ltd.github.io/icecube/).


