# Examples

Here are some jupyter notebook examples showing how to use the `icecube` library to read and write GRD and SLC datacubes.

For the v0 (this version) of the library, the images must be coregistered and have the same shape.

## 1. [GRD Datacube Input / Output](../../icecube/docs/examples/Ex1_GRD_input_output.ipynb)

This example shows how to handle I/O through `GRDDatacube.build()`


## 2 . [SLC Datacube Input / Output](../../icecube/docs/examples/Ex2_SLC_input_output.ipynb)

This example shows the `SLCDatacube` object, which is built the same way as `GRDDatacube` (uses `SLCDatacube.build()`)

## 3 . [Labels ](../../icecube/docs/examples/Ex3_Labels.ipynb)

This example shows how to create a datacube of training labels

## 4 . [Datacube Core Class ](../../icecube/docs/examples/Ex4_Datacube.ipynb)

This example shows the `Datacube` class to process icecubes


## 5 . [Datacube for ML ](../../icecube/docs/examples/Ex5_Datacube_ML.ipynb)

This example shows how to use the `Datacube` class in an ML pipeline.